# DataExchange
TKXSBase
MoniTool

# MoniTool_DataMapOfShapeTransient Class Reference

`#include <MoniTool_DataMapOfShapeTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MoniTool_DataMapOfShapeTransient (const Standard_Integer NbBuckets=1)
Standard_EXPORT MoniTool_DataMapOfShapeTransient & | Assign (const MoniTool_DataMapOfShapeTransient &Other)
MoniTool_DataMapOfShapeTransient & | operator= (const MoniTool_DataMapOfShapeTransient &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~MoniTool_DataMapOfShapeTransient ()
Standard_EXPORT Standard_Boolean | Bind (const TopoDS_Shape &K, const Handle(Standard_Transient)&I)
Standard_EXPORT Standard_Boolean | IsBound (const TopoDS_Shape &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TopoDS_Shape &K)
Standard_EXPORT const Handle_Standard_Transient & | Find (const TopoDS_Shape &K) const
const Handle_Standard_Transient & | operator() (const TopoDS_Shape &K) const
Standard_EXPORT Handle_Standard_Transient & | ChangeFind (const TopoDS_Shape &K)
Handle_Standard_Transient & | operator() (const TopoDS_Shape &K)

## Private Member Functions

Standard_EXPORT | MoniTool_DataMapOfShapeTransient (const MoniTool_DataMapOfShapeTransient &Other)

## Constructor & Destructor Documentation

Standard_EXPORT MoniTool_DataMapOfShapeTransient::MoniTool_DataMapOfShapeTransient | ( | const Standard_Integer | NbBuckets = `1` | ) |

MoniTool_DataMapOfShapeTransient::~MoniTool_DataMapOfShapeTransient | ( |  | ) | `[inline]`

Standard_EXPORT MoniTool_DataMapOfShapeTransient::MoniTool_DataMapOfShapeTransient | ( | const MoniTool_DataMapOfShapeTransient & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT MoniTool_DataMapOfShapeTransient& MoniTool_DataMapOfShapeTransient::Assign | ( | const MoniTool_DataMapOfShapeTransient & | Other | ) |

Standard_EXPORT Standard_Boolean MoniTool_DataMapOfShapeTransient::Bind | ( | const TopoDS_Shape & | K,
|  | const Handle(Standard_Transient)& | I
| ) |

Standard_EXPORT Handle_Standard_Transient& MoniTool_DataMapOfShapeTransient::ChangeFind | ( | const TopoDS_Shape & | K | ) |

Standard_EXPORT void MoniTool_DataMapOfShapeTransient::Clear | ( |  | ) |

Standard_EXPORT const Handle_Standard_Transient& MoniTool_DataMapOfShapeTransient::Find | ( | const TopoDS_Shape & | K | ) | const

Standard_EXPORT Standard_Boolean MoniTool_DataMapOfShapeTransient::IsBound | ( | const TopoDS_Shape & | K | ) | const

void MoniTool_DataMapOfShapeTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MoniTool_DataMapOfShapeTransient::operator new | ( | size_t | size | ) | `[inline]`

void* MoniTool_DataMapOfShapeTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Standard_Transient& MoniTool_DataMapOfShapeTransient::operator() | ( | const TopoDS_Shape & | K | ) | `[inline]`

const Handle_Standard_Transient& MoniTool_DataMapOfShapeTransient::operator() | ( | const TopoDS_Shape & | K | ) | const`[inline]`

MoniTool_DataMapOfShapeTransient& MoniTool_DataMapOfShapeTransient::operator= | ( | const MoniTool_DataMapOfShapeTransient & | Other | ) | `[inline]`

Standard_EXPORT void MoniTool_DataMapOfShapeTransient::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean MoniTool_DataMapOfShapeTransient::UnBind | ( | const TopoDS_Shape & | K | ) |

The documentation for this class was generated from the following file:

- MoniTool_DataMapOfShapeTransient.hxx